# Week 9

**This weeks quiz:** https://go.uwe.ac.uk/ctapQuiz

This week we will be introducing the formal and informal logic and beginning to start thinking about and working on the scenarios for the assessment.

This weeks **second lecture** will be introduce the scenarios fully and you will select and begin working on this scenario.  We will start working on the writing in the second hour of our practicals from this week!
## This week you are working on...

### 👉 [THIS WEEKS TASK](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/practicals/week9/tasks.md?ref_type=heads) 👈

- Applying boolean logic to simulated real world problems through simple python programs
- Identifying informal logical fallacies in examples derived from the assessment scenarios

## Have already completed ...

You should have completed the setup by now. If MUST IMMEDIATELY address this!
Follow the [setup guide and ensuring you have done everything on the checklist](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/setup.md?ref_type=heads). You should then work to catch up on any missed sessions. 
**Please make yourself known to your tutor if you are behind or we will not know to help you!**

## By the end of the week...

... you should have completed:

- Tasks 1, 2 and 3 provided in `ctap-resources/practicals/week9/tasks.md`

## Resources
- [practicals/week9/tasks.md](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/practicals/week8/tasks.md)
- [Slides](https://go.uwe.ac.uk/ctapSlides)
- [Setup Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/setup.md?ref_type=heads)
- [Markdown Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/markdown.md?ref_type=heads)

### External resources
- [Boolean Algebra in Python](https://pyeda.readthedocs.io/en/latest/boolalg.html)
- [Learn Python .org's interactive python tutorials](https://www.learnpython.org/)
- W3 schools [tutorial and reference](https://www.w3schools.com/python/)

## Videos

-  [Introduction to Boolean Algebra | Python Course #3  ](https://www.youtube.com/watch?v=mbP1s2uWFMo)
- [Logical operators in Python are easy ☀️](https://www.youtube.com/watch?v=W7luvtXeQTA)